#
# spec file for package python-flask-jwt-extended
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-flask-jwt-extended
Version:        3.24.1
Release:        bp155.2.3
Summary:        A Flask extension that provides JWT support
License:        MIT
URL:            https://github.com/vimalloc/flask-jwt-extended
Source:         https://files.pythonhosted.org/packages/source/F/Flask-JWT-Extended/Flask-JWT-Extended-%{version}.tar.gz
BuildRequires:  %{python_module Flask >= 1.0}
BuildRequires:  %{python_module PyJWT >= 1.6.4}
BuildRequires:  %{python_module Werkzeug >= 0.14}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module python-dateutil}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Flask >= 1.0
Requires:       python-PyJWT >= 1.6.4
Requires:       python-Werkzeug >= 0.14
Requires:       python-six
BuildArch:      noarch
%python_subpackages

%description
Flask-JWT-Extended not only adds support for using JSON Web Tokens
(JWT) to Flask for protecting views, but also many
(optional) features built in to make working with JSON
Web Tokens easier. These include:

- Support for adding custom claims to JSON Web Tokens
- Custom claims validation on received tokens
- Creating tokens from complex objects or complex object from received tokens
- Refresh tokens
- Token freshness and separate view decorators to only allow fresh tokens
- Token revoking/blacklisting
- Storing tokens in cookies and CSRF protection

%prep
%setup -q -n Flask-JWT-Extended-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}/flask_jwt_extended

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/*

%changelog
* Wed Oct 30 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 3.24.1:
  * Fixes a bug where missing JWTs were not being handled gracefully
* Mon Oct  7 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 3.24.0:
  * Adds the ability to add custom data to the JWT headers via the
    headers kwarg
* Tue Sep 24 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 3.23.0:
  * Make header reading compliant with RFC7230, section 3.2.2
* Mon Sep  9 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 3.22.0:
  * Adds ability to check CSRF double submit token from form data instead of
    headers
* Tue Aug 27 2019 Jan Engelhardt <jengelh@inai.de>
- Trim metadata redundancies from summary. Trim filler wording
  from description.
* Mon Aug 12 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 3.21.0:
  * Require flask 1.0 or greater (#263)
  * Move docs to pallets-sphinx-themes (#261)
  * Add a new JWT_DECODE_ISSUER option for use with other JWT providers (#259)
  * Gracefully handle errors for malformed tokens (#246)
* Tue Jul 23 2019 Sean Marlow <sean.marlow@suse.com>
- Update Flask minimum version requirement.
* Wed Jul 17 2019 Sean Marlow <sean.marlow@suse.com>
- Update to v3.20.0 (2019-07-17)
  + Initial release.
